From ec22cbb3657ebd76797b56b60f59d72d948b7487 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ma=C3=ABl=20Gramain?= <mael@enpls.org>
Date: Mon, 6 Jan 2025 23:22:10 +0100
Subject: [PATCH] keep exit code

---
 .ci/lint_wrap.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/.ci/lint_wrap.sh b/.ci/lint_wrap.sh
index b75c527..29626d9 100755
--- a/.ci/lint_wrap.sh
+++ b/.ci/lint_wrap.sh
@@ -1,7 +1,8 @@
 set -o pipefail
 sh .ci/lint.sh 2>&1 | tee output_tmp.txt
+EXIT_CODE=$?
 echo "\`\`\`" > output.txt
 grep 'msg=' output_tmp.txt | awk -F'msg="' '{print $2}' | sed 's/"$//' | sed 's/\\"/"/g' >> output.txt
-echo $?
 echo "\`\`\`" >> output.txt
-echo "END"
\ No newline at end of file
+echo "END"
+exit $EXIT_CODE
\ No newline at end of file